// **********************************************************************
//                             Lode Runner
//                        ---------------------
//
//  File        : Level.cpp
//  Description : 
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#include "Level.h"
#include "Memory.h"

/************************************************************************/
/* Constructor                                                          */
/************************************************************************/
Level::Level()
{
	for(int i=0; i<NB_COLS*NB_ROWS; ++i)
	{	
		_level.push_back(NULL);		
	}
}

/************************************************************************/
/* Destructor                                                           */
/************************************************************************/
Level::~Level()
{
	for(int i=0; i<NB_COLS*NB_ROWS; ++i)
	{	
		Block * p_block = _level[i];
		if(p_block)
		{
			my_delete(p_block);
		}
	}
	_level.clear();
}
