// **********************************************************************
//                             Lode Runner
//                        ---------------------
//
//  File        : Tools.cpp
//  Description : Tools
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#include "Tools.h"
#include <iostream>
#include <assert.h>
#include <stdlib.h>

void my_assert_fun(const char* file, const unsigned long line, bool test, std::string message)
{
	if(!test)
	{
#ifdef WIN32		
		std::cout << "Assert in " << file << " (" << line << "): " << message << std::endl;	
#else
		std::cout << "Assert in " << file << " (" << line << "): " << message << std::endl;
		exit(-1);
#endif
	}
}

