// **********************************************************************
//                             Lode Runner
//                        ---------------------
//
//  File        : Block.cpp
//  Description : 
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#include "Block.h"

void WallBlock2::set_resources(LevelResources & resources)
{
	_sprite = resources.get_wall2_sprite();
}

void WallBlock2::draw(CL_GraphicContext & gc)
{
	_sprite.draw(gc, (float)get_x(), (float)get_y());
}

void WallBlock::set_resources(LevelResources & resources)
{
	_sprite = resources.get_wall_sprite();
}

void WallBlock::draw(CL_GraphicContext & gc)
{
	_sprite.draw(gc, (float)get_x(), (float)get_y());
}

void ScaleBlock::set_resources(LevelResources & resources)
{
	_sprite = resources.get_scale_sprite();
}

void ScaleBlock::draw(CL_GraphicContext & gc)
{
	_sprite.draw(gc, (float)get_x(), (float)get_y());
}

void RopeBlock::set_resources(LevelResources & resources)
{
	_sprite = resources.get_rope_sprite();
}

void RopeBlock::draw(CL_GraphicContext & gc)
{
	_sprite.draw(gc, (float)get_x(), (float)get_y());
}

void BreakableWallBlock::set_resources(LevelResources & resources)
{
	_sprite = resources.get_breakable_sprite();
}

void BreakableWallBlock::draw(CL_GraphicContext & gc)
{
	_sprite.draw(gc, (float)get_x(), (float)get_y());
}

void LootBlock::set_resources(LevelResources & resources)
{
	_sprite = resources.get_loot_sprite();
}

void LootBlock::draw(CL_GraphicContext & gc)
{
	_sprite.draw(gc, (float)get_x(), (float)get_y());
}