// **********************************************************************
//                            Project Nitro
//                        ---------------------
//
//  File        : Preferences.h
//  Description : Games preferences
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#ifndef _PREFERENCES_H_
#define _PREFERENCES_H_

enum RenderTarget{
	OPENGL_1,
	OPENGL_2,
	GDI,
	DIRECTX_9,
	DIRECTX_10
};

class Preferences{

public:

	RenderTarget render_target;
	bool fullscreen;

	Preferences();

	void write();

private:


};

/** 
* Preferences global instance
*/
extern Preferences g_preferences;

#endif